#include "rabbitmq_communication.h"

RabbitmqCommunicationTof3D::RabbitmqCommunicationTof3D() = default;

RabbitmqCommunicationTof3D::~RabbitmqCommunicationTof3D() = default;


//检查消息是否有效, 主要检查消息类型和接受者, 判断这条消息是不是给我的.
Error_manager RabbitmqCommunicationTof3D::check_msg(Rabbitmq_message *p_msg) {
    return {SUCCESS, NORMAL, "Don't check any message."};
}

//检查执行者的状态, 判断能否处理这条消息, 需要子类重载
Error_manager RabbitmqCommunicationTof3D::check_executer(Rabbitmq_message *p_msg) {
    return {SUCCESS, NORMAL, "Don't check any message."};
}

//处理消息, 需要子类重载
Error_manager RabbitmqCommunicationTof3D::execute_msg(Rabbitmq_message *p_msg) {
    Error_manager ret;
    return ret;
}

//处理消息, 需要子类重载
Error_manager RabbitmqCommunicationTof3D::execute_time_consume_msg(Rabbitmq_message *p_msg) {
//    LOG(INFO) << "get message from " << p_msg->m_routing_key;
    return {};
}

//定时封装发送消息, 一般为心跳和状态信息, 需要子类重载
Error_manager RabbitmqCommunicationTof3D::auto_encapsulate_status() {
    return {};
}








